Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01958 Crash/Freeze Critical (emulator) Always Jun 30, 2008, 14:03 Aug 6, 2008, 20:59
Tester Terryn View Status Public Platform MAME (Self-compiled)
Assigned To Reip Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver suprnova.cpp
Version 0.125u8 Fixed in Version 0.126u4 Build C2D
Summary 01958: skns: Segfaults on load
Description
Program received signal SIGSEGV, Segmentation fault.
0x0058eb8d in video_start_skns (machine=0x9be1f3c)
    at src/mame/video/suprnova.c:930
930             machine->gfx[2]->color_granularity=256;
(gdb) bt full
#0  0x0058eb8d in video_start_skns (machine=0x9be1f3c)
    at src/mame/video/suprnova.c:930
No locals.
#1  0x0096ce14 in init_machine (machine=0x9be1f3c) at src/emu/mame.c:1606
        mame = (mame_private *) 0x9bf1d68
        newbase = 0
        num = 116334344
#2  0x0096b236 in mame_execute (options=0x6ec1e58) at src/emu/mame.c:368
        settingsloaded = 1
        driver = (const game_driver *) 0x16b5ca0
        machine = (running_machine *) 0x9be1f3c
        mame = (mame_private *) 0x9bf1d68
        cb = (callback_item *) 0x0
        gamename = (astring *) 0x9be1f00
        exit_pending = 0
        error = 0
        firstgame = 0
        firstrun = 1
#3  0x00b8619c in cli_execute (argc=2, argv=0x6e61ff8, osd_options=0x20da150)
    at src/emu/clifront.c:171
        options = (core_options *) 0x6ec1e58
        gamename = (astring *) 0x6ea1f00
        exename = (astring *) 0x6eb1f00
        gamename_option = 0x6ef1f08 "skns"
        driver = (const game_driver *) 0x0
        result = -1
#4  0x00911339 in utf8_main (argc=2, argv=0x6e61ff8)
    at src/osd/windows/winmain.c:257
        ext = 0x27d95d9 ".map"
#5  0x011d2322 in main (argc=2, a_argv=0x3f2638) at src/osd/windows/main.c:72
        i = 2
        rc = 2009147472
        utf8_argv = (char **) 0x6e61ff8
        argv = (TCHAR **) 0x3f2638
Steps To Reproduce
Additional Information First spotted in a MAMEUI32 .125u8 build, so it's not debug-specific.
Flags
Regression Version 0.116u1
Affected Sets / Systems skns
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.01452
Tafoid
Administrator
Jun 30, 2008, 14:52
This is a BIOS, not a game. While there have been attempts to keep bios only sets from crashing or not working - not all bios sets have interactivity (like neogeo, stvbios). I'll confirm as it does crash before OK screen is shown - but it has crashed for nearly a year.

To MAMEDev: We need some set policy regarding handling reports of BIOS ONLY sets as there are still some which crash or drop with fatal error: "memory_set_bankptr called NULL base". Do we accept bugs for all BIOS or does it really matter?
User avatar
No.01462
Terryn
Tester
Jul 1, 2008, 11:36
edited on: Jul 1, 2008, 11:37
I was quite aware that it is a bios only and not a game. However, just because a bios loaded by itself in MAME crashes doesn't necessarily mean that the problem lies solely through loading the set by itself, and could possibly be a different underlying issue, however remote the possibility. This is why I reported it.

If certain bios sets are not intended to be loaded under any circumstance, they should probably be forced impossible to load directly in MAME on a case-by-case basis. Given the number of bios sets, it's likely not too intolerable of a kludge/hassle.